## Battleships

### Installation
```$bash
git clone --recurse-submodules https://gitlab.com/savemetenminutes-root/battleships/deployment/docker.git savemetenminutes-battleships-docker
cd savemetenminutes-battleships-docker
docker-compose up
```

### Usage
During the first run `composer install` will be performed.    
Once the packages have been installed and the services are up and running:    
Open a browser and navigate to http://127.0.0.1:45083    
There is also a version written entirely in client side JavaScript at http://127.0.0.1:45083/index.html    
The PHP app submodule repo is at https://gitlab.com/savemetenminutes-root/battleships/application/php/frameless    

### Self-assessment scores

* JavaScript = 10
* JSON = 10
* jQuery = 9
* AngularJS = 0
* ReactJS = 0
* Redux = 0
* NodeJS 10.x = 8
* NodeJS Inspector = 10
* Cordova = 0
* Backbone.js = 0
* Knockout.js = 0
* Ember.js = 8
* Underscore.js = 0
* Vue.js = 0
* Mercury.js = 0
* Polymer.js = 0
* Meteor.js = 0
* Aurelia.js = 0
* TypeScript = 0
* React Native = 0
* Flutter = 0
* Ionic  = 0
* Google Charts = 8
* Google Tag Manager  = 10

* CasperJS = 10
* PhantomJS = 10
* SlimerJS = 10
* Selenium = 10
* Cypress = 5

* PSR = 9
* PHP 4.x = 10
* PHP 5.x = 10
* PHP 7.3 = 10
* Xdebug = 10
* php-http = 10
* Laravel 5.x = 10
* Lumen 5.x = 9
* Yii 1.x = 0
* Yii 2.x = 6
* Symfony 2.x = 8
* Symfony 3.x  = 9
* Symfony 4.x  = 9
* Zend 2.x = 10
* Zend 3.x = 10
* Zend Expressive = 10
* CodeIgniter 3.x = 8
* CakePHP 3.x = 9
* Drupal 7.x = 0
* Drupal 8.x = 0
* Magento 1.x = 0
* Magento 2.x = 0
* OpenCart 3.x = 6
* PrestaShop 1.x = 5
* ZenCart 1.x = 6
* Joomla 3.x = 10
* WordPress 5.x = 10

* Composer = 10
* NPM = 10
* Yarn = 10
* Bower = 10
* PIP = 1

* C = 7
* C++ = 6
* C# = 3
* Win32 API = 6
* .NET = 0
* COM = 6
* DirectX = 4
* Java = 8
* Scala = 4

* Python2.7/ Python3.5, 3.6 = 0
* Django = 0
* Django REST Framework = 0

* Ruby = 0
* Rails = 0
* Sidekiq = 0

* SSL = 9
* HTTP = 10
* SOAP = 10
* REST = 10
* OpenAPI = 8
* JsonAPI = 8

* XML = 10
* HTML5 = 10
* SVG = 7

* YML = 10
* MarkDown = 9
* DocuWiki = 8

* CSS3 = 10
* SCSS/SASS = 8
* LESS = 3

* Golang = 1

* Design Patterns = 10
* Unit Testing = 5
* PhpUnit = 5
* XUnit = 3
* JUnit = 5

* MySQL = 10
* PostgreSQL = 8

* MongoDB = 7
* DynamoDB = 10

* Apache Cassandra = 0

* Redis = 8

* Elastic Stack = 0
* Grafana = 0

* RabbitMQ = 0
* Resque = 10

* Apache HTTPd = 10
* mod_proxy = 10
* mod_rewrite = 10
* mod_log_config = 10
* mod_status = 10
* mod_info = 10
* Nginx = 8

* Postfix = 8
* Dovecot = 8

* Subversion = 0
* Git = 10
* GitLab = 10
* GitHub = 10
* BitBucket = 10

* PhoneGap = 0

* Amazon Web Services = 5
* WHM & CPanel = 10

* Linux = 10
* RedHat = 10
* Debian/Ubuntu = 10
* SeLinux = 10
* AppArmor = 0
* SSH = 10
* SystemD = 10
* Supervisor = 10
* Audit = 10
* Cron = 10
* FirewallD = 10
* Borg Backup = 10
* Make = 8
* Cmake = 8
* Anaconda Kickstart Installations = 10
* Windows = 10
* OSX = 10

* Bash scripting = 10

* Venv = 7

* LXC = 0
* Docker = 10
* Docker Compose = 10
* Docker Swarm = 0
* Vagrant = 7

* Kubernetes = 0

* Ansible = 9

* Jenkins = 3

* Kibana = 4

* Jira = 10
* Redmine = 10
* PeopleHR = 10

* Photoshop = 9
* ImageMagick = 10
* InkScape = 8
